org.acplt.oncrpc.apps.jrpcgen

## Class JrpcgenProgramInfo

- java.lang.Object
- - org.acplt.oncrpc.apps.jrpcgen.JrpcgenProgramInfo

     class JrpcgenProgramInfo
    extends java.lang.Object

The `JrpcgenProgramInfo` class contains information about a single ONC/RPC program as defined in an rpcgen "x"-file.

Version:
  $Revision: 1.1.1.1 $ $Date: 2003/08/13 12:03:46 $ $State: Exp $ $Locker: $
Author:
  Harald Albrecht

### Field Summary

Fields
`java.lang.String` `programId` Identifier assigned to the program number of an ONC/RPC program.
`java.lang.String` `programNumber` Program number assigned to an ONC/RPC program.
`java.util.Vector` `versions` Set of versions specified for a particular ONC/RPC program.

### Constructor Summary

Constructors
Constructor and Description
`JrpcgenProgramInfo(java.lang.String programId, java.lang.String programNumber, java.util.Vector versions)` Construct a new `JrpcgenProgramInfo` object containing the programs's identifier and number, as well as the versions defined for this particular ONC/RPC program.

### Method Summary

Methods
`void` `dumpConstants(java.io.PrintWriter out)` Generates source code to define all constants belonging to this program.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### programNumber

    public java.lang.String programNumber

Program number assigned to an ONC/RPC program. This attribute contains either an integer literal or an identifier (which must resolve to an integer).

#### programId

    public java.lang.String programId

Identifier assigned to the program number of an ONC/RPC program.

#### versions

    public java.util.Vector versions

Set of versions specified for a particular ONC/RPC program. The elements in the set are of class `JrpcgenVersionInfo`.

### Constructor Detail

#### JrpcgenProgramInfo

    public JrpcgenProgramInfo(java.lang.String programId,
                      java.lang.String programNumber,
                      java.util.Vector versions)

Construct a new `JrpcgenProgramInfo` object containing the programs's identifier and number, as well as the versions defined for this particular ONC/RPC program.

Parameters:
  `programId` - Identifier defined for this ONC/RPC program.
  `programNumber` - Program number assigned to this ONC/RPC program.
  `versions` - Vector of versions defined for this ONC/RPC program.

### Method Detail

#### dumpConstants

    public void dumpConstants(java.io.PrintWriter out)

Generates source code to define all constants belonging to this program.

Parameters:
  `out` - PrintWriter to send source code to.